Bug 1448148 - Containers - old archived container entities are not purged
Summary: Containers - old archived container entities are not purged
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: GA
: 5.7.3
Assignee: Ari Zellner
QA Contact: Einat Pacifici
URL:
Whiteboard: container
Depends On: 1428595
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-04 15:50 UTC by Satoe Imaishi
Modified: 2017-06-28 15:01 UTC (History)
7 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1428595
Environment:
Last Closed: 2017-06-28 15:01:40 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-05-04 15:56:11 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/3cc76af9a8a66a1777120527858f0d166b43c867

commit 3cc76af9a8a66a1777120527858f0d166b43c867
Author:     Keenan Brock <keenan@thebrocks.net>
AuthorDate: Tue Apr 18 11:44:10 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 4 11:52:10 2017 -0400

    Merge pull request #14322 from zeari/purge_containers
    
    Add purge timer for archived entities
    (cherry picked from commit b8b9c81719111cdbc2f27e8fee74e572bbb9c128)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1448148

 app/models/container.rb                          |  1 +
 app/models/container/purging.rb                  | 20 ++++++++++
 app/models/container_definition.rb               |  1 +
 app/models/container_definition/purging.rb       | 20 ++++++++++
 app/models/container_group.rb                    |  1 +
 app/models/container_group/purging.rb            | 20 ++++++++++
 app/models/container_image.rb                    |  6 +--
 app/models/container_image/purging.rb            | 20 ++++++++++
 app/models/container_project.rb                  |  1 +
 app/models/container_project/purging.rb          | 20 ++++++++++
 app/models/miq_schedule_worker/jobs.rb           |  8 ++++
 app/models/miq_schedule_worker/runner.rb         |  5 +++
 config/settings.yml                              |  5 +++
 spec/factories/container_definition.rb           |  4 ++
 spec/models/container/purging_spec.rb            | 47 ++++++++++++++++++++++++
 spec/models/container_definition/purging_spec.rb | 47 ++++++++++++++++++++++++
 spec/models/container_group/purging_spec.rb      | 47 ++++++++++++++++++++++++
 spec/models/container_image/purging_spec.rb      | 47 ++++++++++++++++++++++++
 spec/models/container_project/purging_spec.rb    | 47 ++++++++++++++++++++++++
 19 files changed, 363 insertions(+), 4 deletions(-)
 create mode 100644 app/models/container/purging.rb
 create mode 100644 app/models/container_definition/purging.rb
 create mode 100644 app/models/container_group/purging.rb
 create mode 100644 app/models/container_image/purging.rb
 create mode 100644 app/models/container_project/purging.rb
 create mode 100644 spec/factories/container_definition.rb
 create mode 100644 spec/models/container/purging_spec.rb
 create mode 100644 spec/models/container_definition/purging_spec.rb
 create mode 100644 spec/models/container_group/purging_spec.rb
 create mode 100644 spec/models/container_image/purging_spec.rb
 create mode 100644 spec/models/container_project/purging_spec.rb

Comment 3 Einat Pacifici 2017-06-20 08:06:07 UTC
Verified. 
Added/deleted containers with different images. DB was checked and images were purged.

Comment 5 errata-xmlrpc 2017-06-28 15:01:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.